﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
        Map1.MapUnit = GeographyUnit.DecimalDegree;

        ShapeFileFeatureLayer states = new ShapeFileFeatureLayer(MapPath("~/App_Data/STATES.SHP"));
        states.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.State1;
        states.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

        states.Open();
        Map1.CurrentExtent = states.GetBoundingBox();
        states.Close();

        Map1.StaticOverlay.Layers.Add(states);
    }
}
